Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.builder
Class WebServiceMessageProcessorBuilder

    java.lang.Object
      org.mule.module.cxf.builder.AbstractInboundMessageProcessorBuilder
          org.mule.module.cxf.builder.WebServiceMessageProcessorBuilder

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, MessageProcessorBuilder

Direct Known Subclasses:
  WebServiceFactoryBean

    public class WebServiceMessageProcessorBuilder

extends AbstractInboundMessageProcessorBuilder
implements FlowConstructAware

Builds a CXF web service MessageProcessor using either the JAX-WS or simple frontends. It must be configured in the following way:

- If the builder is part of a `Service`, then it will try to detect the serviceClass from the component.
- If it is not part of a `Service`, then the serviceClass attribute must be supplied.
- The builder will use the JAX-WS frontend by default.

Field Summary
`protected Log` | `logger`

Fields inherited from class org.mule.module.cxf.builder.AbstractInboundMessageProcessorBuilder
`muleContext`

Constructor Summary
`WebServiceMessageProcessorBuilder()`

Method Summary
`protected org.apache.cxf.service.invoker.Invoker` | `createInvoker(CxfInboundMessageProcessor processor)`
`protected org.apache.cxf.frontend.ServerFactoryBean` | `createServerFactory()`
`protected String` | `getAddress()`
`List<org.apache.cxf.databinding.DataBinding>` | `getDatabinding()`
`String` | `getFrontend()`
`Class<?>` | `getServiceClass()`
`protected Class<?>` | `getTargetClass(Service service)` Try to determine the target class from the Service.
`boolean` | `isProxy()`
`void` | `setDatabinding(List<org.apache.cxf.databinding.DataBinding> databinding)`
`void` | `setFlowConstruct(FlowConstruct flowConstruct)`
`void` | `setFrontend(String frontend)` Whether to use the simple frontend or JAX-WS frontend.
`void` | `setServiceClass(Class<?> serviceClass)`

Methods inherited from class org.mule.module.cxf.builder.AbstractInboundMessageProcessorBuilder
`addIgnoredMethods, build, configureMessageProcessor, configureServer, getBindingId, getConfiguration, getFeatures, getInFaultInterceptors, getInInterceptors, getMtomEnabled, getNamespace, getOutFaultInterceptors, getOutInterceptors, getPort, getProperties, getServer, getService, getWsdlLocation, isEnableMuleSoapHeaders, setBindingId, setConfiguration, setEnableMuleSoapHeaders, setFeatures, setInFaultInterceptors, setInInterceptors, setMtomEnabled, setMuleContext, setNamespace, setOutFaultInterceptors, setOutInterceptors, setPort, setProperties, setService, setWsdlLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

Constructor Detail

### WebServiceMessageProcessorBuilder

    public WebServiceMessageProcessorBuilder()

Method Detail

### createServerFactory

    protected org.apache.cxf.frontend.ServerFactoryBean createServerFactory()
                                                                     throws Exception

  Specified by:
    `createServerFactory` in class `AbstractInboundMessageProcessorBuilder`
  Throws:
    `Exception`

### createInvoker

    protected org.apache.cxf.service.invoker.Invoker createInvoker(CxfInboundMessageProcessor processor)

  Overrides:
    `createInvoker` in class `AbstractInboundMessageProcessorBuilder`

### getTargetClass

    protected Class<?> getTargetClass(Service service)
                               throws MuleException,
                                      ClassNotFoundException

  Try to determine the target class from the Service.

  Parameters:
    `svcCls` -
    `service` -
  Returns:
  Throws:
    `MuleException`
    `ClassNotFoundException`

### getAddress

    protected String getAddress()

  Overrides:
    `getAddress` in class `AbstractInboundMessageProcessorBuilder`

### isProxy

    public boolean isProxy()

  Specified by:
    `isProxy` in class `AbstractInboundMessageProcessorBuilder`

### getServiceClass

    public Class<?> getServiceClass()

  Specified by:
    `getServiceClass` in class `AbstractInboundMessageProcessorBuilder`

### setServiceClass

    public void setServiceClass(Class<?> serviceClass)

### setFlowConstruct

    public void setFlowConstruct(FlowConstruct flowConstruct)

  Specified by:
    `setFlowConstruct` in interface `FlowConstructAware`

### getFrontend

    public String getFrontend()

### setFrontend

    public void setFrontend(String frontend)

  Whether to use the simple frontend or JAX-WS frontend. Valid values are "simple" or "jaxws".

  Parameters:
    `frontend` -

### getDatabinding

    public List<org.apache.cxf.databinding.DataBinding> getDatabinding()

### setDatabinding

    public void setDatabinding(List<org.apache.cxf.databinding.DataBinding> databinding)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.